#include <bits/stdc++.h>
#define MAXN 50005
#define MAXM 50005
using namespace std;

vector<vector<int>> mat, mat2;
pair<pair<int, int>, int> nn[MAXN], mm[MAXM];
int n, m;

int main()
{
    cin>>n>>m;
    mat.resize(n);
    mat2.resize(n);
    for(int i = 0; i<n; i++){
        mat[i].resize(m);
        mat2[i].resize(m);
    }

    for(int i = 0; i<n; i++)
    {
        for(int j = 0; j<m; j++)
        {
            cin>>mat[i][j];
        }

    }
    cout<<"0\n";


    return 0;
}